<xsl:stylesheet version="1.0" 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:xalan="http://xml.apache.org/xalan" 
    xmlns:pepper="http://www.pepper.com/elements" 
    extension-element-prefixes="pepper">
    
    <xalan:component prefix="pepper">
        <xalan:script lang="javaclass" src="com.pepper.script.Elements"/>
    </xalan:component>
    
    <xsl:output method="html" />
    
    <!-- Catch passed framework parameters in XSL -->
    <xsl:param name="packageId" />
    <xsl:param name="platform" />
    <xsl:param name="design" />
    
    <!--Create XSL variable for use as HTML <title> -->
    <xsl:variable name="sectionName" select="pepper:nameString($packageId,section/@name)"/>
    
    <!-- The following template matches the root element of the Page data to begin the transformation -->
    <xsl:template match="/">
        <html xmlns="http://www.w3.org/1999/xhtml">
            <head>
                
                <!-- use XSL sectionName variable to set HTML <title> -->
                <title><xsl:value-of select="$sectionName"/></title>
                
                <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
                
                <link href="{$platform}/resources/styles/styles.css" rel="stylesheet" type="text/css" />
                
                <!-- The following initializes the Javascript bridge and is is required: -->
                <pepper:initscriptbridge package="{$packageId}" />
                
                <!-- The following can be used to include ready-made javascript code                
                <script type="text/javascript" src="{$platform}/resources/commonsection.js"/>
                -->
                
            </head>
            <body class="ContentBackground">
	
                <h1>About Minesweeper</h1>
                <p>
                This Minesweeper game is derived from the copy of XULMine at <a href="http://neil.rashbrook.org/xulmine/">http://neil.rashbrook.org/xulmine/</a>.
                </p>
                <p>
                The original XULMine home page is at <a href="http://xulmine.mozdev.org/">http://xulmine.mozdev.org/</a>.
                </p>
                <p>
                Packaged by <a href="http://www.chuma.org/pepperpad/">Victor Rehorst</a>.  Send feedback to <a href="mailto:chuma@chuma.org?Subject=Minesweeper%20for%20Pepper">chuma@chuma.org</a>.
                </p>
            </body>
        </html>
    </xsl:template>
</xsl:stylesheet>
