<xsl:stylesheet version="1.0" 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:xalan="http://xml.apache.org/xalan" 
    xmlns:pepper="http://www.pepper.com/elements" 
    extension-element-prefixes="pepper">
    
    <xalan:component prefix="pepper">
        <xalan:script lang="javaclass" src="com.pepper.script.Elements"/>
    </xalan:component>
    
    <xsl:output method="html" />
    
    <!-- Catch passed framework parameters in XSL -->
    <xsl:param name="packageId" />
    <xsl:param name="platform" />
    <xsl:param name="design" />
    
    <!--Create XSL variable for use as HTML <title> -->
    <xsl:variable name="sectionName" select="pepper:nameString($packageId,section/@name)"/>
    
    <!-- The following template matches the root element of the Page data to begin the transformation -->
    <xsl:template match="/">
        <html xmlns="http://www.w3.org/1999/xhtml">
            <head>
                
                <!-- use XSL sectionName variable to set HTML <title> -->
                <title><xsl:value-of select="$sectionName"/></title>
                
                <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
                
                <link href="{$platform}/resources/styles/styles.css" rel="stylesheet" type="text/css" />
                
                <!-- The following initializes the Javascript bridge and is is required: -->
                <pepper:initscriptbridge package="{$packageId}" />
                
                <!-- The following can be used to include ready-made javascript code                
                <script type="text/javascript" src="{$platform}/resources/commonsection.js"/>
                -->
<script type="text/javascript">

var levels = new Object();

levels.beginner = new Object();
levels.beginner.width = 152;
levels.beginner.height = 195;
levels.beginner.rows = 8;
levels.beginner.cols = 8;
levels.beginner.mines = 10;

levels.intermediate = new Object();
levels.intermediate.width = 280;
levels.intermediate.height = 323;
levels.intermediate.rows = 16;
levels.intermediate.cols = 16;
levels.intermediate.mines = 40;

levels.expert = new Object();
levels.expert.width = 504;
levels.expert.height = 323;
levels.expert.rows = 16;
levels.expert.cols = 30;
levels.expert.mines = 75;

function startGame()
{	
	var level = document.getElementById('mine_level').value;
	var src = document.getElementById('designpath').value;
	
	var daframe = document.getElementById('mineframe');
	daframe.width = levels[level].width;
	daframe.height = levels[level].height;
	//daframe.src='{$design}/design/xulmine.xul?marks=true'+String.fromCharCode(38)+"graphics=true"
	daframe.src=src+'/design/xulmine.xul?marks=true'+String.fromCharCode(38)+"graphics=true"
		+ String.fromCharCode(38)+"rows=" + levels[level].rows
		+ String.fromCharCode(38)+"cols=" + levels[level].cols
		+ String.fromCharCode(38)+"mines=" + levels[level].mines;
}

</script>

            </head>
            <body onload="startGame()" class="PageBody">
<div class="PageBar" id="pagebar-xulmine">
	<div class="PageBarEntry">

	<select name="level" id="mine_level">
	<option selected="true" value="beginner">Beginner</option>
	<option value="intermediate">Intermediate</option>
	<option value="expert">Expert</option>
	</select>
	<input type="hidden" id="designpath" name="designpath" value="{$design}"/>

	</div>
	<div class="PageBarEntry" onmouseup="startGame()">Start Game</div>
</div>

<div style="text-align:center" class="PageContent ContentBackground">

<!--	<input type="button" onClick="startGame()" value="Start Game"/>
	<br/>
-->
	<iframe id="mineframe">
	</iframe>
</div>


            </body>
        </html>
    </xsl:template>
</xsl:stylesheet>
